# Laura Messick
# Project 4 - Simple Calculator
# 5/01/20

from PyQt5.QtWidgets import *
from calc import *


class calcWindow(QMainWindow):
	def __init__(self):
		# calling the superconstructor first, just creates an empty window
		super(calcWindow, self).__init__()

		# creates the calculator window
		self.ui = Ui_MainWindow()
		self.ui.setupUi(self)

		# Connecting buttons
		self.ui.pushButton_0.clicked.connect(self.pressed)
		self.ui.pushButton_1.clicked.connect(self.pressed)
		self.ui.pushButton_2.clicked.connect(self.pressed)
		self.ui.pushButton_3.clicked.connect(self.pressed)
		self.ui.pushButton_4.clicked.connect(self.pressed)
		self.ui.pushButton_5.clicked.connect(self.pressed)
		self.ui.pushButton_6.clicked.connect(self.pressed)
		self.ui.pushButton_7.clicked.connect(self.pressed)
		self.ui.pushButton_8.clicked.connect(self.pressed)
		self.ui.pushButton_9.clicked.connect(self.pressed)

		self.ui.clearButton.clicked.connect(self.clearPressed)
		self.ui.calcButton.clicked.connect(self.pressed)
		self.ui.multiplyButton.clicked.connect(self.pressed)
		self.ui.divideButton.clicked.connect(self.pressed)
		self.ui.negateButton.clicked.connect(self.negPressed)
		self.ui.subtractButton.clicked.connect(self.pressed)
		self.ui.addButton.clicked.connect(self.pressed)
		self.ui.decimalButton.clicked.connect(self.pressed)

	def pressed(self):
		prev = self.ui.lcdNumber.text()
		if (prev == '0'):
			self.ui.lcdNumber.setText(self.sender().text())
		else:
			self.ui.lcdNumber.setText(prev + self.sender().text())

	def clearPressed(self):
		self.ui.lcdNumber.setText('0')

	def negPressed(self):
		# if number is negative, make it positive
		prev = self.ui.lcdNumber.text()
		if (prev[0] == '-'):
			prev = prev[1:]
			self.ui.lcdNumber.setText(prev)
		# else make it negative
		else:
			self.ui.lcdNumber.setText('-' + prev)

if __name__=="__main__":
	app = QApplication([])
	window = calcWindow()
	window.show()
	app.exec_()
